*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    font-family: sans-serif;
    

}
#container{
    height: 100vh;
    width:100vw;
    background-image: url('img/bg.png');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    justify-content: center;
    align-content: center;
    display: flex;
}
form{
    position: relative;
    top: -45px;
}
#center-flex{
    justify-content: center;
    align-items: center;
    display: flex;
}
#login-form{
    height: 200px;
    max-width: 300px;
    background-color: white;
    text-align: center;
    padding: 20px ;
    opacity: 0.8;
    box-shadow: 5px 5px 3px black;
}
#avatar{
    border-radius: 50%;
    height: 60px;
    width: 60px;
    position: relative;
    top: -45px;
    z-index: 20;
    box-shadow: 2px 2px 3px black;
}
#user-details>input{
    background-color: white;
    color: black;
    border: none;
    padding-bottom: 5px;
    text-align: center;
    margin-bottom: 10px;
    font-size: 15px;
    border-bottom: solid  black 1px;
}
input:focus{
    outline: none;
}
input:focus::placeholder{
    opacity: 0;
}
#submit-btn>input{
    margin-top: 20px;
    padding: 3px;
    height: 30px;
    width: 90px;
    background-color: dodgerblue;
    color: white;
    border: none;
    border-radius: 20px;
}
#submit-btn{
    outline: none;
    border: none;
}
form{
    position: relative;
    margin-top: 10px;
}
@media screen and (min-width:600px) and (max-width:1024px){
    #login-form{
        height: 300px;
        width: 500px;
    }
    #avatar{
        height: 80px;
        width: 80px;
        top: -60px;
    }
    #user-details>input{
        padding-bottom: 10px;
        margin-bottom: 10px;
        font-size: 20px;
    }
    #submit-btn>input{
        margin-top: 30px;
        height: 35px;
        width: 110px;
        border-radius: 20px;
    }
    
}
@media screen and (min-width:1024px){
    #login-form{
        height: auto;
        width: 800px;
    }
    #avatar{
        height: 100px;
        width: 100px;
        top: -80px;
    }
    #user-details>input{
        padding-bottom: 0px;
        margin-bottom: 20px;
        font-size: 20px;
    }
    #user-details{
        margin-top: 0;
    }
    #submit-btn>input{
        margin-top: 10px;
        font-size: 15px;
        height: 45px;
        width: 130px;
        border-radius: 20px;
        transition: background-color 1s;
    }
    /* .submit-button{
        transition: background-color 1s color 1s;
    } */
    
    #submit-btn>input:hover{
        border: solid dodgerblue 1px;
        background-color: white;
        color: dodgerblue;    
        cursor: pointer;
    }
   
}

